<?php

namespace Myriad\Authentication\Lib\Requests;

interface ICreateUserRequest {

  public function setFirstName($firstName);

  public function setLastName($lastName);

  public function setEmail($email);

  public function setEmailType($type);

  public function setPassword($password);

  public function setPasswordConfirmation($passwordConfirmation);

  public function getFirstName();

  public function getLastName();

  public function getEmail();

  public function getEmailType();

  public function getPassword();

  public function getPasswordConfirmation();

  public function all();
}
