<?php

namespace Myriad\Authentication\Lib\Responses;

use Myriad\Authentication\Models\User;

class RegistrationSuccessResponse implements IRegistrationResponse
{
  private $user;

  public function __construct(User $user) {
    $this->user = $user;
  }

  public function isSuccess() {
    return true;
  }

  public function user() {
    return $this->user;
  }
}
